import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        value?: any;
        maxSuggestions?: number;
        items?: string[];
        open?: boolean;
        autoSuggest?: boolean;
        selection?: number;
        matches?: string[];
        class?: string;
        inputElement?: HTMLInputElement;
        containerElement?: HTMLDivElement;
        buttonsContainerElement?: HTMLDivElement;
        clearButtonElement?: HTMLButtonElement;
        searchButtonElement?: HTMLButtonElement;
        flyoutElement?: HTMLUListElement;
        addItem?: (item: string) => void;
        removeItem?: (item: string) => void;
        removeAllItems?: () => void;
        setItems?: (argItems: string[]) => void;
        addMatch?: (match: string) => void;
        removeMatch?: (match: string) => void;
        removeAllMatches?: () => void;
        setMatches?: (argMatches: string[]) => void;
    };
    events: {
        search: CustomEvent<any>;
        input: CustomEvent<any>;
        focus: CustomEvent<any>;
        blur: CustomEvent<any>;
        keydown: CustomEvent<any>;
        change: CustomEvent<any>;
        beforeinput: CustomEvent<any>;
        click: CustomEvent<any>;
        dblclick: CustomEvent<any>;
        contextmenu: CustomEvent<any>;
        mousedown: CustomEvent<any>;
        mouseup: CustomEvent<any>;
        mouseover: CustomEvent<any>;
        mouseout: CustomEvent<any>;
        mouseenter: CustomEvent<any>;
        mouseleave: CustomEvent<any>;
        keypress: CustomEvent<any>;
        keyup: CustomEvent<any>;
        clear: CustomEvent<any>;
        itemSelectedOnPurpose: CustomEvent<any>;
        select: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        'item-template': {
            id: string;
            value: any;
            matches: string[];
            selection: number;
            item: string;
            index: any;
        };
        default: {};
        buttons: {
            slot: string;
        };
    };
};
export declare type AutoSuggestBoxProps = typeof __propDef.props;
export declare type AutoSuggestBoxEvents = typeof __propDef.events;
export declare type AutoSuggestBoxSlots = typeof __propDef.slots;
export default class AutoSuggestBox extends SvelteComponentTyped<AutoSuggestBoxProps, AutoSuggestBoxEvents, AutoSuggestBoxSlots> {
    get addItem(): (item: string) => void;
    get removeItem(): (item: string) => void;
    get removeAllItems(): () => void;
    get setItems(): (argItems: string[]) => void;
    get addMatch(): (match: string) => void;
    get removeMatch(): (match: string) => void;
    get removeAllMatches(): () => void;
    get setMatches(): (argMatches: string[]) => void;
    get value(): any;
    /**accessor*/
    set value(_: any);
    get maxSuggestions(): number;
    /**accessor*/
    set maxSuggestions(_: number);
    get items(): string[];
    /**accessor*/
    set items(_: string[]);
    get open(): boolean;
    /**accessor*/
    set open(_: boolean);
    get autoSuggest(): boolean;
    /**accessor*/
    set autoSuggest(_: boolean);
    get selection(): number;
    /**accessor*/
    set selection(_: number);
    get matches(): string[];
    /**accessor*/
    set matches(_: string[]);
    get class(): string;
    /**accessor*/
    set class(_: string);
    get inputElement(): HTMLInputElement;
    /**accessor*/
    set inputElement(_: HTMLInputElement);
    get containerElement(): HTMLDivElement;
    /**accessor*/
    set containerElement(_: HTMLDivElement);
    get buttonsContainerElement(): HTMLDivElement;
    /**accessor*/
    set buttonsContainerElement(_: HTMLDivElement);
    get clearButtonElement(): HTMLButtonElement;
    /**accessor*/
    set clearButtonElement(_: HTMLButtonElement);
    get searchButtonElement(): HTMLButtonElement;
    /**accessor*/
    set searchButtonElement(_: HTMLButtonElement);
    get flyoutElement(): HTMLUListElement;
    /**accessor*/
    set flyoutElement(_: HTMLUListElement);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
}
export {};
